

*** Exclude pp who are vegatarian

USE ALL.
COMPUTE filter_$=(vega ~= 1).
VARIABLE LABELS filter_$ 'vega ~= 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*** Demographics

DESCRIPTIVES VARIABLES=age
  /STATISTICS=MEAN STDDEV MIN MAX.

FREQUENCIES VARIABLES=gender
  /ORDER=ANALYSIS.

*** Manipulation check

T-TEST GROUPS=condition(0 1)
  /MISSING=ANALYSIS
  /VARIABLES=tempti
  /CRITERIA=CI(.95).

*** Manova - Effect of condition on reason acceptability

GLM workout friday working frustratio BY condition
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /EMMEANS=TABLES(OVERALL) 
  /PRINT=DESCRIPTIVE ETASQ OPOWER
  /CRITERIA=ALPHA(.05)
  /DESIGN= condition.


*** Compute a variable for mean reason acceptability

RELIABILITY
  /VARIABLES=workout friday working frustratio
  /SCALE('ALL VARIABLES') ALL
  /MODEL=ALPHA.

COMPUTE overall_acceptability=(workout + friday +  working + frustratio) / 4.
EXECUTE.

*** Anova - Effect of condition on mean reason acceptability

UNIANOVA overall_acceptability BY condition
  /METHOD=SSTYPE(3)
  /INTERCEPT=INCLUDE
  /EMMEANS=TABLES(OVERALL) 
  /PRINT=OPOWER ETASQ DESCRIPTIVE
  /CRITERIA=ALPHA(.05)
  /DESIGN=condition.


*** Regressions to test the relation between temptingness of the phone and reason acceptability

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT workout
  /METHOD=ENTER tempti.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT friday
  /METHOD=ENTER tempti.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT working
  /METHOD=ENTER tempti.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT frustratio
  /METHOD=ENTER tempti.

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT overall_acceptability
  /METHOD=ENTER tempti.







