
*** Exclude pp who are vegatarian

USE ALL.
COMPUTE filter_$=(vega ~= 1).
VARIABLE LABELS filter_$ 'vega ~= 1 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

*** Demographics

FREQUENCIES VARIABLES=gender
  /ORDER=ANALYSIS.

DESCRIPTIVES VARIABLES=age
  /STATISTICS=MEAN STDDEV MIN MAX.

*** Manipulation check

T-TEST GROUPS=condition(0 1)
  /MISSING=ANALYSIS
  /VARIABLES=tempti
  /CRITERIA=CI(.95).

*** Effect of condition on mean reason acceptability

T-TEST GROUPS=condition(0 1)
  /MISSING=ANALYSIS
  /VARIABLES=reason
  /CRITERIA=CI(.95).

*** Regressions to test the relation between temptingness of the phone and reason acceptability

REGRESSION
  /MISSING LISTWISE
  /STATISTICS COEFF OUTS R ANOVA
  /CRITERIA=PIN(.05) POUT(.10)
  /NOORIGIN 
  /DEPENDENT reason
  /METHOD=ENTER tempti.



